Package net.sf.saxon.event

## Class OutputterEvent

- java.lang.Object
- - net.sf.saxon.event.OutputterEvent

- Direct Known Subclasses:
    `OutputterEvent.Append`, `OutputterEvent.Attribute`, `OutputterEvent.Comment`, `OutputterEvent.EndDocument`, `OutputterEvent.EndElement`, `OutputterEvent.Namespace`, `OutputterEvent.ProcessingInstruction`, `OutputterEvent.StartContent`, `OutputterEvent.StartDocument`, `OutputterEvent.StartElement`, `OutputterEvent.Text`

      public abstract class OutputterEvent
      extends java.lang.Object

  An outputter event is an object representing one of the events that can be passed to an `Outputter` : for example, a startElement, attribute, namespace endElement, characters, or comment event. Sufficient information is retained in order to enable a stored event to be "replayed" later.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `OutputterEvent.Append` | Event representing an arbitrary item being sent to the event stream in composed form.
    `static class` | `OutputterEvent.Attribute` | Event representing an attribute node
    `static class` | `OutputterEvent.Comment` | Event representing a comment node
    `static class` | `OutputterEvent.EndDocument` | Event representing end of document
    `static class` | `OutputterEvent.EndElement` | Event representing the end of an element
    `static class` | `OutputterEvent.Namespace` | Event representing a namespace node
    `static class` | `OutputterEvent.ProcessingInstruction` | Event representing a processing instruction node
    `static class` | `OutputterEvent.StartContent` | Event representing the start of element content
    `static class` | `OutputterEvent.StartDocument` | Event representing start of document
    `static class` | `OutputterEvent.StartElement` | Event representing the start of an element (including attributes or namespaces)
    `static class` | `OutputterEvent.Text` | Event representing a text node

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutputterEvent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `replay​(Outputter out)` | Send the event to a receiver

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputterEvent

          public OutputterEvent()

  - ### Method Detail

    - #### replay

          public void replay​(Outputter out)
                      throws XPathException

      Send the event to a receiver
      Parameters:
        `out` - the receiver to which the event is to be sent
      Throws:
        `XPathException` - the the receiver reports an error